aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbuild/config.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/build/config.sh b/build/config.sh
new file mode 100755
index 0000000..ecc6db9
--- /dev/null
+++ b/build/config.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+set -euxo pipefail
+
+# The name of the generated ISO
+export iso_name="autoarch"
+
+# The working directory used to generate the ISO
+export work_dir="/tmp/archiso-work"
+
+# The final output directory of the generated ISO
+export out_dir="/tmp/archiso-out"
+
+# The ethernet interface used for networking on the live system
+export iface="ens1"
+
+# OPTIONAL: if set, clone this repository at runtime and use it to install
+# if not set, build the local install directory into the ISO
+# export install_repo="https://github.com/esotericnonsense/autoarch.git"